# Copyright 2017 ForgeFlow S.L. (https://www.forgeflow.com)
# License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl).

from odoo import _, api, fields, models


class TierDefinition(models.Model):
    _inherit = "tier.definition"
    _description = "Tier Definition"

    get_manager_of_department = fields.Boolean('Get Manager Of Department')
    get_head_of_department = fields.Boolean('Get Head of Department')
    notify_status_on_action = fields.Boolean(
        string="Notify Reviewers on Action",
        help="If set, all previous reviewers will be notified by email whenever this definition is approve/reject.",
    )
    notify_status_on_next = fields.Boolean(
        string="Notify Reviewers on Next",
        help="If set, next reviewer will be notified by email whenever this definition is about move to next person",
    )
